extends KinematicBody


#Face the player at all times
func _process(delta):
	#look_at(get_parent().get_node("CircularMan").translation,Vector3(0,1,0))
	move_and_collide(Vector3(0,-0.5,0))


#Give player ammo then delete self
func _on_StaticBody_body_entered(body):
	var amount = 50
	var mode = randi()%5
	if mode == 4:
		amount = -20+randi()%18
	else:
		amount = 15+randi()%25
	if body.has_method("give_ammo"):
		body.give_ammo(amount)
		queue_free()
